<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="6"
      :sm="24"
    >
      <maintenance-project-category-left @clickTreeNode="getSelectNode" />
    </a-col>
    <a-col
      :md="24-6"
      :sm="24"
    >
      <maintenance-project-right :recordSelect="currentNodeSelect" />
    </a-col>
  </a-row>
</template>

<script>
import MaintenanceProjectCategoryLeft from './modules/maintenanceProject/MaintenanceProjectCategoryLeft'
import MaintenanceProjectRight from './modules/maintenanceProject/MaintenanceProjectRight'
export default {
  name: 'MaintenanceProjectList',
  components: {
    MaintenanceProjectCategoryLeft,
    MaintenanceProjectRight,
  },
  data() {
    return {
      description: '保养项目',
      currentNodeSelect: '',
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>